commit:     5ce55eabf6b1daa53d80ccfa6f5d0cb405a03491
Author:     Zoltan Puskas <zoltan <AT> sinustrom <DOT> info>
AuthorDate: Sun Jan  8 22:57:26 2017 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Sun Jan 22 04:23:42 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ce55eab

sci-electronics/kicad: Add new 4.0.5 ebuild, move to EAPI6

Gentoo Bug: #603514, #576732

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sci-electronics/kicad/Manifest           |   4 +
 sci-electronics/kicad/kicad-4.0.5.ebuild | 208 +++++++++++++++++++++++++++++++
 2 files changed, 212 insertions(+)

diff --git a/sci-electronics/kicad/Manifest b/sci-electronics/kicad/Manifest
index 1d92327..c7a8c37 100644
--- a/sci-electronics/kicad/Manifest
+++ b/sci-electronics/kicad/Manifest
@@ -3,7 +3,11 @@ DIST kicad-4.0.1-library.tar.gz 105054096 SHA256 
4d1ec105a422a0130be02f4d712d5c2
 DIST kicad-4.0.1.tar.xz 10837804 SHA256 
73a9f8713ba93ce34e5f9c26e9667f33a22f4e33192fa6bd15d3fc0edea54bde SHA512 
da9d5ba7f6a323d80621304e368c9783febedf7c545f31a6ca69bddc8573e7c7aa127c774cc29e173eae947debd444b5a04b0483800d6c0d1303e32a714e3d26
 WHIRLPOOL 
0985d7b38df1224787b0509407f34043d71f4eac847486bf4633cacb9c3bc32df9590c0516e3189e4b0f5ba17fde93ead467e200e95ecb763f7054cc1baac107
 DIST kicad-4.0.4-i18n.tar.gz 2409039 SHA256 
aec8121fc64985b150c0843db937a3383afe1805697f339aa73009215c1b92cf SHA512 
5fcbf54aeff92c142652908dda9e727e8b076aec4531f2bb4d27aa9fd946e92621141a9709a9469c133010cca019e4e6bc9731366e8c1adbe38078f5a6fcaedf
 WHIRLPOOL 
65c940149ab3357341b41a70f7db35695a598ade462a6fc8e602c4d1b53458fc712706e0effbc8b27b24f95510980a223cb9445b8ca8d54669dd89a65d066a2c
 DIST kicad-4.0.4.tar.xz 10672424 SHA256 
6da5d3f7bc63a9c5b4d0f5e4b954411b45d712168596b5af02957343c87eda00 SHA512 
230eb10d42e004c51d790db0d21dc08653944ca6cc4b728ad34b506f1a2b009c23369ddae417c8fafd420cb8045900dd4145cd1071867c759ab406dd12be3242
 WHIRLPOOL 
c5e577bebfd11160528e9543d9a421a5814ad70134092e9a0bd759b7a941e730b33cac7059606eba049ad5ffc8e6d44a0079bdbe9446ad1f152fa04ec6150d4c
+DIST kicad-4.0.5-i18n.tar.gz 2464569 SHA256 
18538b050f7c85eec0aaf3b2fd0a7a37a4eba139bb3d60be3ef80732e8e4b840 SHA512 
ff33051202d3aa50284170ca1b0ebd6279ee60559c4ce88c577248d4fe3d5781bb5b75eea6c165fbbd4abc1fd681357a7d7877339c4413fb3774bc8a55264b81
 WHIRLPOOL 
b63b9b59ddaf21485e8e358c356c694e03608989e6d2e13fc96bc620789cf1df66cf7d4fb051713ebcbd756afe6b43d217746ef2c84b593eeae8909c5e4c781f
+DIST kicad-4.0.5.tar.xz 10626696 SHA256 
73f286733bb69b04749279a1848cbedfad908e7dcd1d11363c7fae7677c85331 SHA512 
1486a039237e8d97ed21d62905ab74cb953b76c9d15bdfe7edd7380cf93e4c4b9a23aa82c6f523f6d5272e1dbe06ee8853a80eaabb1d0d9db6e304265f53ba7f
 WHIRLPOOL 
a7ca4e8183d44423a2076ca81047965166ed5f15504967ac790c18bedd045e61fbce17e197341876eb73aaa4a9a2571242cc5fcc4853abec99a19b3433690c6e
 DIST kicad-footprints-4.0.1.tar.gz 801985 SHA256 
e3b195706c8f30928c34478a87607e996def94a19982f8987a783b8e4ffe112f SHA512 
4fef1792eee8be951c77a8684942ecfa9047b602796f90e746010d63f72f5981cb2c90efe28ba7bd7d22894256d23f71b47eb170056e7b4423f72120f5413725
 WHIRLPOOL 
b41eb7149b14af4c3dd37bc19f7bba9afcc896c1b5d523e7bead0c6695dad7255527f952042589181876dc598d7a85963ab4f86b6c3179e0e82e6f187712c298
 DIST kicad-footprints-4.0.4.tar.gz 1400434 SHA256 
2b23e282c64c7e72d9ad52a6f114c20572b8c0e3fd9895b9b87b7ccacc7b4479 SHA512 
7d42eea2c7c84961e05e0e61d6380e3d294d696e1321bb4406391125379fd6a3dc2b38e7ff8be51b684786bed892738452218f4c5a95c547319f1eaafc0cea6e
 WHIRLPOOL 
6f96d7ecbe94c511f99c6022466704742aec83578790685c2945926682a0a2c50f2ff176bf075b06cea4cd60fe7afbfb8c142096b6b7a1d73020f0327d1281a8
+DIST kicad-footprints-4.0.5.tar.gz 2330378 SHA256 
50cb02d9eb44b30f8fd68434172a25a93c62cd9a07877091116fd8db8238f9ad SHA512 
91122127be4b54bec7b37706d6438853463ed66b1c0c205e8d93709c159744e84ea58f3bf0cb1f4e18df6061f6df3d76f2ff0d6e698c6ba5ce3867d89838d95d
 WHIRLPOOL 
44283efb35c3522e73d36fc51d591bc236cf2f17b8901279d28908b5a227f791597c74c94bff3be904417df42248b5d16e93a9aaa061132809ffe0507911b186
 DIST kicad-libcontext.tar.gz 25599 SHA256 
37be6072a6016d402b4341e2ceba719cdd8e279e275ea7275d91e19e813a31a3 SHA512 
3b469dcf0e0f4e23f304d0068468a99516e89588d8f36a821af10e751f919cb8a9077d52109fdd43c1c2a443e026b38d0d3aa4774823d05755c9db35742d32d9
 WHIRLPOOL 
d05f43544fa4c9d1fae957445782ad610c07564db81c12491fe6aeaf6948a369b3f55114eacb21916fbc9001f20d0a2c4944c3ab0ccc8e57bf9aa44fea507087
 DIST kicad-library-4.0.4.tar.gz 87947075 SHA256 
22c02d151aba7ea90c519fda953a8cd882d8da7e36ec0e68ed90a6e15151cdf3 SHA512 
57f905277cf581cfda6ca574d87bbdd3a870cd240a151b2c8faedc7ecbfa2cc122b67937cbdbf028be77727cdf4fac9cdc3512ce5bfe80d0f6cbb4f444ccfd6c
 WHIRLPOOL 
1ee926de02ca13c420535487437a45ecf8ea652e854105f4849612a30091ff9f9098d422e7e1c49ab1a6a2cb36cb94d9587a7267851307d947c76109b863da7b
+DIST kicad-library-4.0.5.tar.gz 91081668 SHA256 
7169d1cfa1a55cbe7570252e68dc1242ae91458f16a13f7fc3f7804c504b1af1 SHA512 
904d3439d1e76d13fe72a221efe2f9f3b0a4115f8e84e78d44a24d5a727138de0b91eec7733e851b9a6fec138897f203229bdf83b772ea49000a6d828ba6f25f
 WHIRLPOOL 
f76975e99d69c3ca36532cd22b05edc7b278dd09d8d810fac5466a84687922b3b013242eca6b1a6ba48bb403fe05d2260bbc60136b718185774923013398e956

diff --git a/sci-electronics/kicad/kicad-4.0.5.ebuild 
b/sci-electronics/kicad/kicad-4.0.5.ebuild
new file mode 100644
index 00000000..2544592
--- /dev/null
+++ b/sci-electronics/kicad/kicad-4.0.5.ebuild
@@ -0,0 +1,208 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+WX_GTK_VER="3.0"
+
+inherit cmake-utils eutils flag-o-matic gnome2-utils python-single-r1 
wxwidgets vcs-snapshot versionator xdg
+
+DESCRIPTION="Electronic Schematic and PCB design tools."
+HOMEPAGE="http://www.kicad-pcb.org";
+LIBCONTEXT_COMMIT="3d92a1a50f4749b5a92131a957c9615473be85b4"
+
+SERIES=$(get_version_component_range 1-2)
+
+SRC_URI="https://launchpad.net/${PN}/${SERIES}/${PV}/+download/${P}.tar.xz
+       !minimal? (
+               
http://downloads.kicad-pcb.org/libraries/${PN}-footprints-${PV}.tar.gz
+               
http://downloads.kicad-pcb.org/libraries/kicad-library-${PV}.tar.gz
+       )
+       i18n? ( https://github.com/KiCad/${PN}-i18n/archive/${PV}.tar.gz -> 
${P}-i18n.tar.gz )
+       
https://github.com/twlostow/libcontext/archive/${LIBCONTEXT_COMMIT}.tar.gz -> 
${PN}-libcontext.tar.gz"
+
+LICENSE="GPL-2+ GPL-3+ Boost-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc examples github i18n libressl minimal +python"
+LANGS="bg ca cs de el es fi fr hu it ja ko nl pl pt ru sk sl sv zh_CN"
+for lang in ${LANGS} ; do
+       IUSE="${IUSE} linguas_${lang}"
+done
+unset lang
+unset LANGS
+
+REQUIRED_USE="
+       python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="x11-libs/wxGTK:${WX_GTK_VER}[X,opengl]
+       python? (
+               dev-python/wxpython:${WX_GTK_VER}[opengl,${PYTHON_USEDEP}]
+               ${PYTHON_DEPS}
+       )
+       >=dev-libs/boost-1.56[nls,threads,python?,${PYTHON_USEDEP}]
+       github? (
+               libressl? ( dev-libs/libressl:0= )
+               !libressl? ( dev-libs/openssl:0= )
+       )
+       media-libs/glew:0=
+       media-libs/freeglut
+       media-libs/mesa
+       sys-libs/zlib
+       x11-libs/cairo"
+DEPEND="${COMMON_DEPEND}
+       doc? ( app-doc/doxygen )
+       i18n? ( virtual/libintl )
+       python? ( dev-lang/swig:0 )"
+RDEPEND="${COMMON_DEPEND}
+       sci-electronics/electronics-menu"
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+       setup-wxwidgets
+}
+
+src_prepare() {
+       xdg_src_prepare
+
+       # Add separated out libcontext files and patch source to use them
+       mkdir -p "${S}/common/system/" || die
+       mkdir -p "${S}/include/system/" || die
+       cp "${WORKDIR}/${PN}-libcontext/libcontext.cpp" 
"${S}/common/system/libcontext.cpp" || die
+       cp "${WORKDIR}/${PN}-libcontext/libcontext.h" 
"${S}/include/system/libcontext.h" || die
+       # Path source to use new "built in" libcontext. Also patch 
libcontext.cpp to have correct include file.
+       # Path must be applied after new libcontext files have been copied to 
the kicad source directory.
+       eapply "${FILESDIR}/${PN}-4.0.4-boost-context.patch"
+
+       # remove all the non unix file endings
+       for f in $(find "${S}" -type f -name "*.desktop") ; do
+               edos2unix "${f}"
+       done
+
+       # Remove cvpcb desktop file while it does nothing
+       rm "${WORKDIR}/${P}/resources/linux/mime/applications/cvpcb.desktop" || 
die
+
+       # Handle optional minimal install.
+       if use minimal; then
+               # remove templates as they are not needed to run binaries
+               sed -e '/add_subdirectory( template )/d' -i CMakeLists.txt || 
die
+       else
+               # create a link to the parts library in the main project folder
+               ln -s "${WORKDIR}/kicad-library-${PV}" "${S}/${PN}-library" || 
die
+               # create a link to the footprints library and add cmake build 
rule for it
+               ln -s "${WORKDIR}/${PN}-footprints-${PV}" 
"${S}/${PN}-footprints" || die
+               cp "${FILESDIR}/${PN}-footprints-cmakelists.txt" 
"${WORKDIR}/${PN}-footprints-${PV}/CMakeLists.txt" || die
+               # add the libraries directory to cmake as a subproject to build
+               sed "/add_subdirectory( bitmaps_png )/a add_subdirectory( 
${PN}-library )" -i CMakeLists.txt || die
+               # add the footprints directory to cmake as a subproject to build
+               sed "/add_subdirectory( ${PN}-library )/a add_subdirectory( 
${PN}-footprints )" -i CMakeLists.txt || die
+               # remove duplicate uninstall directions for the library module
+               sed '/make uninstall/,/# /d' -i ${PN}-library/CMakeLists.txt || 
die
+       fi
+
+       # Add internationalization for the GUI
+       if use i18n; then
+               # create a link to the translations library in the main project 
folder
+               ln -s "${WORKDIR}/${P}-i18n" "${S}/${PN}-i18n" || die
+               # Remove unused languages. Project generates only languages 
specified in the
+               # file in LINGUAS in the subproject folder. By default all 
languages are added
+               # so we sed out the unused ones based on the user linguas_* 
settings.
+               local lang
+               for lang in ${LANGS}; do
+                       if ! use linguas_${lang}; then
+                               sed "/${lang}/d" -i ${PN}-i18n/LINGUAS || die
+                       fi
+               done
+               # cmakelists does not respect our build dir variables, so make 
it point to the right location
+               sed "s|\${CMAKE_BINARY_DIR}|${WORKDIR}/${P}_build|g" -i 
${PN}-i18n/CMakeLists.txt || die
+               # we also make from the master project so the source dir is 
understood incorretly, replace that too
+               sed 
"s|\${CMAKE_SOURCE_DIR}/\${LANG}|\${CMAKE_SOURCE_DIR}/${PN}-i18n/\${LANG}|g" -i 
${PN}-i18n/CMakeLists.txt || die
+               # add the translations directory to cmake as a subproject to 
build
+               sed "/add_subdirectory( bitmaps_png )/a add_subdirectory( 
${PN}-i18n )" -i CMakeLists.txt || die
+               # remove duplicate uninstall directions for the translation 
module
+               sed '/make uninstall/,$d' -i ${PN}-i18n/CMakeLists.txt || die
+       fi
+
+       # Install examples in the right place if requested
+       if use examples; then
+               # install demos into the examples folder too
+               sed -e 's:${KICAD_DATA}/demos:${KICAD_DOCS}/examples:' -i 
CMakeLists.txt || die
+       else
+               # remove additional demos/examples as its not strictly required 
to run the binaries
+               sed -e '/add_subdirectory( demos )/d' -i CMakeLists.txt || die
+       fi
+
+       # Add important missing doc files
+       sed -e 's/INSTALL.txt/AUTHORS.txt CHANGELOG.txt README.txt TODO.txt/' 
-i CMakeLists.txt || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DPYTHON_DEST="$(python_get_sitedir)"
+               -DPYTHON_EXECUTABLE="${PYTHON}"
+               -DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+               -DPYTHON_LIBRARY="$(python_get_library_path)"
+               -DKICAD_DOCS="/usr/share/doc/${PF}"
+               -DKICAD_HELP="/usr/share/doc/${PF}/help"
+               -DKICAD_REPO_NAME="stable"
+               -DKICAD_BUILD_VERSION="${PV}"
+               -DwxUSE_UNICODE=ON
+               -DKICAD_SKIP_BOOST=ON
+               -DBUILD_GITHUB_PLUGIN="$(usex github)"
+               -DKICAD_SCRIPTING="$(usex python)"
+               -DKICAD_SCRIPTING_MODULES="$(usex python)"
+               -DKICAD_SCRIPTING_WXPYTHON="$(usex python)"
+               -DKICAD_I18N_UNIX_STRICT_PATH="$(usex i18n)"
+       )
+       if use debug; then
+               append-cxxflags "-DDEBUG"
+               append-cflags "-DDEBUG"
+       fi
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+       if use doc; then
+               doxygen Doxyfile || die
+       fi
+}
+
+src_install() {
+       cmake-utils_src_install
+       use python && python_optimize
+       if use doc ; then
+               dodoc uncrustify.cfg
+               cd Documentation || die
+               dodoc -r GUI_Translation_HOWTO.pdf guidelines/UIpolicies.txt 
doxygen/.
+       fi
+}
+
+pkg_preinst() {
+       xdg_pkg_preinst
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_icon_cache_update
+
+       if use minimal ; then
+               ewarn "If the schematic and/or board editors complain about 
missing libraries when you"
+               ewarn "open old projects, you will have to take one or more of 
the following actions :"
+               ewarn "- Install the missing libraries manually."
+               ewarn "- Remove the libraries from the 'Libs and Dir' 
preferences."
+               ewarn "- Fix the libraries' locations in the 'Libs and Dir' 
preferences."
+               ewarn "- Emerge ${PN} without the 'minimal' USE flag."
+       fi
+       elog ""
+       elog "You may want to emerge media-gfx/wings if you want to create 3D 
models of components."
+       elog "For help and extended documentation emerge app-doc/kicad-doc."
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_icon_cache_update
+}

Reply via email to